#ifndef DECISIONTREE_H
#define DECISIONTREE_H
# include <discretedataset.h>
# include <tree.h>
class DecisionTree
{
private:
    Tree *mainTree;
    DiscreteDataset *trainSet,*testSet;
public:
    DecisionTree(DiscreteDataset *tr,DiscreteDataset *tt);
    void        train();
    QString     getClass(Pattern x);
    double      getTestError();
    Tree        *subTree(QVector<int> &selectedFeatures,DiscreteDataset *dataset,int feature);
    QString     followTree(Pattern x,Tree *T);
    ~DecisionTree();
};

#endif // DECISIONTREE_H
