#ifndef DISCRETEDATASET_H
#define DISCRETEDATASET_H

# include <QVector>
# include <QString>
# include <QFile>
# include <QTextStream>

typedef QStringList Pattern;

class DiscreteDataset
{
private:
    Pattern          header;//ta onomata ton metabliton
    QVector<Pattern> xpoint;//ta x dedomena (protypa)
    Pattern          ypoint;//ta y dedomena (katigories)
    Pattern          classVector;//oi monadikes katigories

    void    makeClass();
public:
    DiscreteDataset(QString filename);
    DiscreteDataset(Pattern h,QVector<Pattern>xdata,Pattern ydata);
    Pattern getheader();
    int         features();
    int     getfeature(QString value);
    Pattern enumerateValues(int feature);
    Pattern getx(int pos);
    QString     gety(int pos);
    Pattern getClass();
    int         getpoints();
    DiscreteDataset *subDataset(int feature,QString value);
    //epistrefei to dataset kratontas monon tis times me feature=value
};

#endif // DISCRETEDATASET_H
