#ifndef TREE_H
#define TREE_H
# include <QVector>
# include <QStringList>
# define NODE_FEATURE 1
# define NODE_VALUE   2
class Tree
{
private:
    QString value;
    int type;
    QVector<Tree*> children;
public:
    Tree(QString v,int t);
    int     nchildren();
    int     getType();
    Tree        *getChild(int pos);
    void        addChild(Tree *t);
    bool        isLeaf();
    QString     getvalue();
    void        print();
    QString     toString();
};

#endif // TREE_H
