#include "tree.h"
#include <QDebug>
#include <QTextStream>
Tree::Tree(QString v,int t)
{
    value=v;
    type=t;
    children.resize(0);
}
void        Tree::addChild(Tree *t)
{
    children<<t;
}

Tree        *Tree::getChild(int pos)
{
    return children[pos];
}

int         Tree::nchildren()
{
    return children.size();
}

bool        Tree::isLeaf()
{
    return children.size()==0;
}

QString     Tree::getvalue()
{
    return value;
}

int     Tree::getType()
{
    return type;
}


QString     Tree::toString()
{
    QString toRet = "(";
    toRet += value;
    for(int i=0;i<children.size();i++)
    {
           Tree *node=children[i];
            toRet += " " + node->toString();
     }
    toRet += ")";
    return toRet;
}

void        Tree::print()
{
        qDebug()<<toString();
}
